Bug 13586 - Makefile.PL mentions win32
Summary: Makefile.PL mentions win32
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13570
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-15 09:54 UTC by Martin Renvoize
Modified: 2016-01-19 04:37 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13586: Makefile.PL mentions win32 (5.03 KB, patch)
2015-01-15 21:04 UTC, Rochelle Healy
Details | Diff | Splinter Review
Bug 13586: Remove the entire block (1.39 KB, patch)
2015-02-16 15:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13586: Remove some other occurrences (1.47 KB, patch)
2015-02-16 15:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13586: Makefile.PL mentions win32 (4.38 KB, patch)
2015-03-06 11:41 UTC, Larry Baerveldt
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13586: Remove the entire block (1.40 KB, patch)
2015-03-06 11:42 UTC, Larry Baerveldt
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13586: Remove some other occurrences (1.55 KB, patch)
2015-03-06 11:42 UTC, Larry Baerveldt
Details | Diff | Splinter Review
[PASSED QA] Bug 13586: Makefile.PL mentions win32 (4.43 KB, patch)
2015-03-15 23:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13586: Remove the entire block (1.45 KB, patch)
2015-03-15 23:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13586: Remove some other occurrences (2.00 KB, patch)
2015-03-15 23:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2015-01-15 09:54:15 UTC
Whilst working on Bug #13570, Katrin spotted that MSWin32 is also still mentioned within the makefile.. we should also clean it up in there :)
Comment 1 Rochelle Healy 2015-01-15 21:04:03 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-02-16 15:27:19 UTC
Comment on attachment 35318 [details] [review]
Bug 13586: Makefile.PL mentions win32

Review of attachment 35318 [details] [review]:
-----------------------------------------------------------------

::: Makefile.PL
@@ -1481,4 @@
>            unless exists $skip_directories->{$key};
>  			}
>  	}
> -	elsif ($^O eq 'MSWin32' ) {	# On Win32, the install probably needs to be done under the user account koha will be running as...

What's done in this block should be removed too.
Comment 3 Jonathan Druart 2015-02-16 15:34:54 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-02-16 15:34:59 UTC Comment hidden (obsolete)
Comment 5 Larry Baerveldt 2015-03-06 11:41:44 UTC Comment hidden (obsolete)
Comment 6 Larry Baerveldt 2015-03-06 11:42:23 UTC Comment hidden (obsolete)
Comment 7 Larry Baerveldt 2015-03-06 11:42:27 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2015-03-15 23:23:49 UTC
Created attachment 36907 [details] [review]
[PASSED QA] Bug 13586: Makefile.PL mentions win32

Edited Makefile.PL to remove mentions of win32
To test: Run Makefile.PL

Signed-off-by: Larry Baerveldt <larry@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2015-03-15 23:24:06 UTC
Created attachment 36908 [details] [review]
[PASSED QA] Bug 13586: Remove the entire block

Previous patch remove the condition but not the block tested.
The entire block should be removed.

Signed-off-by: Larry Baerveldt <larry@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2015-03-15 23:24:22 UTC
Created attachment 36909 [details] [review]
[PASSED QA] Bug 13586: Remove some other occurrences

Signed-off-by: Larry Baerveldt <larry@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Tomás Cohen Arazi 2015-03-19 18:04:04 UTC
Patches pushed to master.

Thanks Rochele!
Comment 12 Chris Cormack 2015-03-22 05:15:30 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 13 Mason James 2015-03-27 03:50:10 UTC
Pushed to 3.16.x, will be in 3.16.9